Rygel.EnergyManagement – librygel-core Reference Manual

# EnergyManagement

## Object Hierarchy:

## Description:

public class EnergyManagement : Service

Implementation of UPnP EnergyManagement service.

Namespace: Rygel
Package: librygel-core

## Content:

### Constants:

- public const unowned string UPNP_ID
- public const unowned string UPNP_TYPE
- public const unowned string DESCRIPTION_PATH

### Creation methods:

- public EnergyManagement ()

### Methods:

- public override void constructed ()

### Inherited Members:

All known members inherited from class GUPnP.Service

- root_device
- freeze_notify
- notify

- notify_value
- thaw_notify
- action_invoked

- notify_failed
- query_variable

All known members inherited from class GUPnP.ServiceInfo

- context
- location
- service_type
- udn
- url_base
- get_context

- get_control_url
- get_event_subscription_url
- get_id
- get_introspection
- get_introspection_async
- get_introspection_async_full

- get_location
- get_scpd_url
- get_service_type
- get_udn
- get_url_base

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count